Subject: Re: bug#16923: 24.3.50; reression: `set-frame-size' loses mode line

From: martin rudalics <[email-masked]>
Date: Wed, 05 Mar 2014 20:53:59 +0100

>> Anyway - the two puzzling aspects are that the mode line apparently gets
 >> erased (who can do such a thing to the mode line?) while the header line
 >> remains unharmed.
 >
 > Wrt the mode line, let me correct something I said earlier.
 >
 > I thought that the space was there for the mode line, but without
 > the mode line text, faces, mouseover etc., i.e., as if there were
 > an extra blank buffer line.  I was wrong about that.
 >
 > Checking again, I see that the buffer text extends to the bottom frame
 > border, just as it does when frame parameter `modeline' has value nil.
 > IOW, the mode line is apparently just not there; it is not just that it
 > is displayed wrong.  However, `frame-parameters' shows the `mode-line'
 > parameter value to be `t'.

This is a completely different situation.  In addition, it probably
happens only when you want to enlarge the frame.  A timing problem,
likely.  Does the frame have at least an external border at the bottom?

martin